dumpLibrary=function(library,name,index)
	Turbine.Engine.ScriptLog(tostring(name).."={")
	local maxCount=#index
	local tmpCount=1
	for k,v in pairs(library) do
		local tmpString="["..tostring(k).."]={"
		for i,j in ipairs(v) do
			if i<#v then
				if type(j)=="string" then
					tmpString=tmpString.."\""..string.gsub(j,"\"","\\\"").."\","
				else
					tmpString=tmpString..tostring(j)..","
				end
			else
				if type(j)=="string" then
					tmpString=tmpString.."\""..string.gsub(j,"\"","\\\"").."\""
				else
					tmpString=tmpString..tostring(j)
				end
			end
		end

		if tmpCount<maxCount then
			tmpString=tmpString.."},"
		else
			tmpString=tmpString.."}"
		end
		tmpCount=tmpCount+1
		Turbine.Engine.ScriptLog(tmpString)
	end
	Turbine.Engine.ScriptLog("}")
end
dumpLibraries=function()
	dumpLibrary(LibraryIcons,"LibraryIcons",ResourceIcons)
	dumpLibrary(LibraryMaps,"LibraryMaps",ResourceMaps)
	dumpLibrary(LibraryScenes,"LibraryScenes",ResourceScenes)
	dumpLibrary(LibraryOther,"LibraryOther",ResourceOther)
	dumpLibrary(LibraryTexture,"LibraryTexture",ResourceTexture)
	dumpLibrary(LibraryTerrain,"LibraryTerrain",ResourceTerrain)
	dumpLibrary(LibraryTiles,"LibraryTiles",ResourceTiles)
	dumpLibrary(LibraryInvalid,"LibraryInvalid",ResourceInvalid)
end